Package org.eclipse.mat.parser.internal.oql.parser

# Class OQLParser

java.lang.Object
org.eclipse.mat.parser.internal.oql.parser.OQLParser

All Implemented Interfaces:
  `OQLParserConstants`

public class OQLParser extends Object implements OQLParserConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`Token`
`jj_nt`
Next token.
`Token`
`token`
Current token.
`OQLParserTokenManager`
`token_source`
Generated Token Manager.

### Fields inherited from interface org.eclipse.mat.parser.internal.oql.parser.OQLParserConstants

`AND, ARRAY, ARRAYLEFT, ARRAYRIGHT, CHARACTER_LITERAL, COLON, COMMA, DECIMAL_LITERAL, DEFAULT, DIVIDE, DOLLAR_SIGN, DOT, EOF, EQ, EXPONENT, FALSE, FLOATING_POINT_LITERAL, FORMAL_COMMENT, GE, GT, HEX_LITERAL, IDENTIFIER, IMPLEMENTS, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INSIDE_COMMENT, INSTANCEOF, INTEGER_LITERAL, LBRACE, LE, LETTER, LONG_LITERAL, LPAREN, LT, MINUS, MULTI_LINE_COMMENT, NATIVE, NE, NULL, OCTAL_LITERAL, OR, PART_LETTER, PLUS, RBRACE, RPAREN, SINGLE_LINE_COMMENT, STAR, START_FORMAL_COMMENT, STRING_LITERAL, TERMINATOR, tokenImage, TRUE`

## Constructor Summary

Constructors
Constructor
Description
`OQLParser(InputStream stream)`
Constructor with InputStream.
`OQLParser(InputStream stream, String encoding)`
Constructor with InputStream and supplied encoding
`OQLParser(Reader stream)`
Constructor.
`OQLParser(OQLParserTokenManager tm)`
Constructor with generated Token Manager.

## Method Summary

Modifier and Type
Method
Description
`final Object`
`BooleanLiteral()`
`final String`
`ClassName()`
`final Object`
`ConditionalAndExpression()`
`final Object`
`ConditionalOrExpression()`
`final void`
`disable_tracing()`
Disable tracing.
`final void`
`enable_tracing()`
Enable tracing.
`final Object`
`EnvVarPathExpression()`
`final Object`
`EqualityExpression()`
`final void`
`FromClause(Query q)`
`final void`
`FromItem(Query.FromClause fromClause)`
`ParseException`
`generateParseException()`
Generate ParseException.
`final Token`
`getNextToken()`
Get the next Token.
`final Token`
`getToken(int index)`
Get the specific Token.
`final Object`
`InClause(Object left, boolean isIn)`
`final Object`
`LikeClause(Object left, boolean isLike)`
`final Object`
`Literal()`
`static void`
`main(String[] args)`
`final Object`
`MultiplicativeExpression()`
`final Object`
`NotLikeInClause(Object left)`
`final Object`
`NullLiteral()`
`final Object`
`NumberLiteral()`
`final long`
`ObjectAddress()`
`final Object`
`ObjectFacet(boolean isFirstInPath)`
`final int`
`ObjectId()`
`final List<Expression>`
`ParameterList()`
`final Query`
`ParseQuery()`
THE OQL GRAMMAR STARTS HERE *
`final Query`
`ParseQueryFromInputLine()`
`final Object`
`PathExpression()`
`final Object`
`PrimaryExpression()`
`void`
`ReInit(InputStream stream)`
Reinitialise.
`void`
`ReInit(InputStream stream, String encoding)`
Reinitialise.
`void`
`ReInit(Reader stream)`
Reinitialise.
`void`
`ReInit(OQLParserTokenManager tm)`
Reinitialise.
`final Object`
`RelationalExpression()`
`final Query.SelectItem`
`SelectItem()`
`final void`
`SelectList(Query q)`
`final Query`
`SelectStatement()`
`void`
`setCompiler(ICompiler compiler)`
`final Object`
`SimpleExpression()`
`final Object`
`SubQuery()`
`final void`
`UnionClause(Query q)`
`final void`
`WhereClause(Query q)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### token_source

public OQLParserTokenManager token_source
Generated Token Manager.

### token

public Token token
Current token.

### jj_nt

public Token jj_nt
Next token.

## Constructor Details

### OQLParser

public OQLParser(InputStream stream)
Constructor with InputStream.

### OQLParser

public OQLParser(InputStream stream, String encoding)
Constructor with InputStream and supplied encoding

### OQLParser

public OQLParser(Reader stream)
Constructor.

### OQLParser

public OQLParser(OQLParserTokenManager tm)
Constructor with generated Token Manager.

## Method Details

### setCompiler

public void setCompiler(ICompiler compiler)

### main

public static void main(String[] args) throws ParseException

Throws:
  `ParseException`

### ParseQuery

public final Query ParseQuery() throws ParseException
THE OQL GRAMMAR STARTS HERE *

Throws:
  `ParseException`

### ParseQueryFromInputLine

public final Query ParseQueryFromInputLine() throws ParseException

Throws:
  `ParseException`

### SelectStatement

public final Query SelectStatement() throws ParseException

Throws:
  `ParseException`

### SelectList

public final void SelectList(Query q) throws ParseException

Throws:
  `ParseException`

### SelectItem

public final Query.SelectItem SelectItem() throws ParseException

Throws:
  `ParseException`

### PathExpression

public final Object PathExpression() throws ParseException

Throws:
  `ParseException`

### EnvVarPathExpression

public final Object EnvVarPathExpression() throws ParseException

Throws:
  `ParseException`

### ObjectFacet

public final Object ObjectFacet(boolean isFirstInPath) throws ParseException

Throws:
  `ParseException`

### ParameterList

public final List<Expression> ParameterList() throws ParseException

Throws:
  `ParseException`

### FromClause

public final void FromClause(Query q) throws ParseException

Throws:
  `ParseException`

### FromItem

public final void FromItem(Query.FromClause fromClause) throws ParseException

Throws:
  `ParseException`

### ClassName

public final String ClassName() throws ParseException

Throws:
  `ParseException`

### ObjectAddress

public final long ObjectAddress() throws ParseException

Throws:
  `ParseException`

### ObjectId

public final int ObjectId() throws ParseException

Throws:
  `ParseException`

### WhereClause

public final void WhereClause(Query q) throws ParseException

Throws:
  `ParseException`

### ConditionalOrExpression

public final Object ConditionalOrExpression() throws ParseException

Throws:
  `ParseException`

### ConditionalAndExpression

public final Object ConditionalAndExpression() throws ParseException

Throws:
  `ParseException`

### EqualityExpression

public final Object EqualityExpression() throws ParseException

Throws:
  `ParseException`

### RelationalExpression

public final Object RelationalExpression() throws ParseException

Throws:
  `ParseException`

### NotLikeInClause

public final Object NotLikeInClause(Object left) throws ParseException

Throws:
  `ParseException`

### LikeClause

public final Object LikeClause(Object left, boolean isLike) throws ParseException

Throws:
  `ParseException`

### InClause

public final Object InClause(Object left, boolean isIn) throws ParseException

Throws:
  `ParseException`

### SimpleExpression

public final Object SimpleExpression() throws ParseException

Throws:
  `ParseException`

### MultiplicativeExpression

public final Object MultiplicativeExpression() throws ParseException

Throws:
  `ParseException`

### PrimaryExpression

public final Object PrimaryExpression() throws ParseException

Throws:
  `ParseException`

### SubQuery

public final Object SubQuery() throws ParseException

Throws:
  `ParseException`

### Literal

public final Object Literal() throws ParseException

Throws:
  `ParseException`

### NumberLiteral

public final Object NumberLiteral() throws ParseException

Throws:
  `ParseException`

### BooleanLiteral

public final Object BooleanLiteral() throws ParseException

Throws:
  `ParseException`

### NullLiteral

public final Object NullLiteral() throws ParseException

Throws:
  `ParseException`

### UnionClause

public final void UnionClause(Query q) throws ParseException

Throws:
  `ParseException`

### ReInit

public void ReInit(InputStream stream)
Reinitialise.

### ReInit

public void ReInit(InputStream stream, String encoding)
Reinitialise.

### ReInit

public void ReInit(Reader stream)
Reinitialise.

### ReInit

public void ReInit(OQLParserTokenManager tm)
Reinitialise.

### getNextToken

public final Token getNextToken()
Get the next Token.

### getToken

public final Token getToken(int index)
Get the specific Token.

### generateParseException

public ParseException generateParseException()
Generate ParseException.

### enable_tracing

public final void enable_tracing()
Enable tracing.

### disable_tracing

public final void disable_tracing()
Disable tracing.